commit:     1caddaa97f1ddefdd74b6d786e620cae19691913
Author:     Pedro Arizmendi <silmano <AT> gmail <DOT> com>
AuthorDate: Tue Nov 22 19:22:38 2016 +0000
Commit:     Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
CommitDate: Fri Nov 25 07:12:09 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1caddaa9

www-misc/monitorix: version bump to 3.9.0

Gentoo-Bug: 600374

Package-Manager: portage-2.3.0

 www-misc/monitorix/Manifest               |   1 +
 www-misc/monitorix/monitorix-3.9.0.ebuild | 102 ++++++++++++++++++++++++++++++
 2 files changed, 103 insertions(+)

diff --git a/www-misc/monitorix/Manifest b/www-misc/monitorix/Manifest
index 9fb3490..84be85b 100644
--- a/www-misc/monitorix/Manifest
+++ b/www-misc/monitorix/Manifest
@@ -1,2 +1,3 @@
 DIST monitorix-3.5.1.tar.gz 218548 SHA256 
8cbd749153f48e17a253791c2079912e50b499026de0083e5f25b87a782f3004 SHA512 
cf64f89e147f3ddf31d48e593d5a5f09be827fd9a104c5cc28b1146e491507476d4f86bf249fda24ce92d7e37a3699dd94501d441c3767d12dfbabe4d782c37c
 WHIRLPOOL 
2b894222f4defd5396c9c82554caeaccdcb64dd387dd78a0f2beabf896c6fedbf4571b2f2822786b2dc4165946588f72b5d4e1f6f5d2f4acde17beddd57ceab7
 DIST monitorix-3.8.1.tar.gz 270985 SHA256 
84bdf73d9ce409527bfd62a9b774d58641723d2498ed0b325c61a7f3816bb028 SHA512 
d07f6b2fc69efffd3fccd76db7ca94640d68fd016979b41fd19f1aa5951c0da7dd5513fe82482c020d4b60ab5187e3c7b704cca80331bd826d050f2ac8538b02
 WHIRLPOOL 
a035e64a103c189b3138173436ff6ca76882c59e74433d60cb83519c035b3e43fb8bbb795b780697e3a15d6a42a9900e36baacc08248cfdd914b85f3957e7f30
+DIST monitorix-3.9.0.tar.gz 288443 SHA256 
e29243bf6bb4fad02f1b302b64977e8eca081b1a6f4a073b5ff48a8b3369d5cf SHA512 
599f3fa004c2e9657f255ca0ef0ae69ca63623976d17ebf8883a8c19b8a76193916634844f794da508439336edc37e424263aa6ccd8e06bb3584b6cf3cda783b
 WHIRLPOOL 
c1dc94590d1200701212610d0fa5c58b8252dac8fc697b3bb54c923e5ff1decea7f5050b88a006d95ab0bcb24842004b2f668b59bc091b704fc16afb0d0d38ac

diff --git a/www-misc/monitorix/monitorix-3.9.0.ebuild 
b/www-misc/monitorix/monitorix-3.9.0.ebuild
new file mode 100644
index 00000000..c9cf702
--- /dev/null
+++ b/www-misc/monitorix/monitorix-3.9.0.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+inherit systemd user
+
+DESCRIPTION="A lightweight system monitoring tool"
+HOMEPAGE="http://www.monitorix.org/";
+SRC_URI="https://github.com/mikaku/Monitorix/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="apcupsd hddtemp httpd lm_sensors postfix"
+S="${WORKDIR}/Monitorix-${PV}"
+
+RDEPEND="dev-perl/Config-General
+       dev-perl/DBI
+       dev-perl/HTTP-Server-Simple
+       dev-perl/IO-Socket-SSL
+       dev-perl/libwww-perl
+       dev-perl/MIME-Lite
+       dev-perl/XML-Simple
+       net-analyzer/rrdtool[graph,perl]
+       dev-perl/CGI
+       apcupsd? ( sys-power/apcupsd )
+       hddtemp? ( app-admin/hddtemp )
+       httpd? ( virtual/httpd-cgi )
+       lm_sensors? ( sys-apps/lm_sensors )
+       postfix? ( net-mail/pflogsumm dev-perl/MailTools )"
+
+pkg_setup() {
+       enewgroup ${PN}
+       enewuser ${PN} -1 -1 /var/lib/${PN} ${PN}
+}
+
+src_prepare() {
+       # Put better Gentoo defaults in the configuration file.
+       sed -e "s|\(base_dir.*\)/usr/share/${PN}|\1/usr/share/${PN}/htdocs|" \
+               -e "s|\(secure_log.*\)/var/log/secure|\1/var/log/auth.log|" \
+               -e "s|nobody|${PN}|g" -i ${PN}.conf || die
+       eapply_user
+}
+
+# Override compile phase
+src_compile() { :; }
+
+src_install() {
+       dosbin ${PN}
+
+       newinitd "${FILESDIR}"/${PN}.init ${PN}
+
+       insinto /etc/monitorix
+       doins ${PN}.conf
+
+       keepdir /etc/${PN}/conf.d
+
+       insinto /etc/logrotate.d
+       newins docs/${PN}.logrotate ${PN}
+
+       dodoc Changes README{,.nginx} 
docs/${PN}-{alert.sh,apache.conf,lighttpd.conf}
+       doman man/man5/${PN}.conf.5
+       doman man/man8/${PN}.8
+
+       insinto /var/lib/${PN}/www
+       doins logo_bot.png logo_top.png ${PN}ico.png
+
+       keepdir /var/lib/${PN}/www/imgs
+       fowners monitorix:monitorix /var/lib/${PN}/www/imgs
+
+       exeinto /var/lib/${PN}/www/cgi
+       doexe ${PN}.cgi
+
+       dodir /usr/lib/${PN}
+       exeinto /usr/lib/${PN}
+       doexe lib/*.pm
+
+       keepdir /var/lib/${PN}/usage
+       insinto /var/lib/${PN}/reports
+       doins -r reports/*
+
+       systemd_dounit docs/${PN}.service
+}
+
+pkg_postinst() {
+       elog "WARNING: ${PN} has changed its config format twice, in versions"
+       elog "3.0.0 and 3.4.0; this format may be incompatible with your 
existing"
+       elog "config file. Please take care if upgrading from an old version."
+       elog ""
+
+       elog "${PN} includes its own web server as of version 3.0.0."
+       elog "For this reason, the dependency on the webapp framework"
+       elog "has been removed. If you wish to use your own web server,"
+       elog "the ${PN} web data can be found at:"
+       elog "${EROOT%/}/var/lib/${PN}/www/"
+
+       elog ""
+       elog "If you are not using monitorix built-in web server, please set"
+       elog "the correct user and group ownership of 
${EROOT%/}/var/lib/${PN}/www/imgs/"
+}

Reply via email to